Index: avr-libc/include/avr/iom644rfr2.h
===================================================================
--- avr-libc/include/avr/iom644rfr2.h	(revision 2519)
+++ avr-libc/include/avr/iom644rfr2.h	(working copy)
@@ -1219,37 +622,16 @@
 #define __AVR_HAVE_PRR2_PRRAM2
 #define __AVR_HAVE_PRR2_PRRAM3
 
-/* Power Reduction Register0 */
-#define PRR0                            _SFR_MEM8(0x64)
+#define PRR0    _SFR_MEM8(0x64)
+#define PRADC   0
+#define PRUSART0 1
+#define PRSPI   2
+#define PRTIM1  3
+#define PRPGA   4
+#define PRTIM0  5
+#define PRTIM2  6
+#define PRTWI   7
 
-#if !(defined(__ASSEMBLER__) || defined(__NOSTRUCT__))
-
-struct __reg_PRR0 {
-        unsigned int pradc : 1;	/* Power Reduction ADC */
-        unsigned int prusart0 : 1;	/* Power Reduction USART */
-        unsigned int prspi : 1;	/* Power Reduction Serial Peripheral Interface */
-        unsigned int prtim1 : 1;	/* Power Reduction Timer/Counter1 */
-        unsigned int prpga : 1;	/* Power Reduction PGA */
-        unsigned int prtim0 : 1;	/* Power Reduction Timer/Counter0 */
-        unsigned int prtim2 : 1;	/* Power Reduction Timer/Counter2 */
-        unsigned int prtwi : 1;	/* Power Reduction TWI */
-};
-
-#define PRR0_struct _SFR_MEM8_STRUCT(0x64, struct __reg_PRR0)
-
-#endif /* __ASSEMBLER__ */
-
-  /* PRR0 */
-
-#define PRADC                           0
-#define PRUSART0                        1
-#define PRSPI                           2
-#define PRTIM1                          3
-#define PRPGA                           4
-#define PRTIM0                          5
-#define PRTIM2                          6
-#define PRTWI                           7
-
 #define __AVR_HAVE_PRR0	((1<<PRADC)|(1<<PRUSART0)|(1<<PRSPI)|(1<<PRTIM1)|(1<<PRPGA)|(1<<PRTIM0)|(1<<PRTIM2)|(1<<PRTWI))
 #define __AVR_HAVE_PRR0_PRADC
 #define __AVR_HAVE_PRR0_PRUSART0
@@ -1260,33 +642,14 @@
 #define __AVR_HAVE_PRR0_PRTIM2
 #define __AVR_HAVE_PRR0_PRTWI
 
-/* Power Reduction Register 1 */
-#define PRR1                            _SFR_MEM8(0x65)
+#define PRR1    _SFR_MEM8(0x65)
+#define PRUSART1 0
+#define PRTIM3  3
+#define PRTIM4  4
+#define PRTIM5  5
+#define PRTRX24 6
+#define Res     7
 
-#if !(defined(__ASSEMBLER__) || defined(__NOSTRUCT__))
-
-struct __reg_PRR1 {
-        unsigned int prusart1 : 1;	/* Power Reduction USART1 */
-        unsigned int : 2;
-        unsigned int prtim3 : 1;	/* Power Reduction Timer/Counter3 */
-        unsigned int prtim4 : 1;	/* Power Reduction Timer/Counter4 */
-        unsigned int prtim5 : 1;	/* Power Reduction Timer/Counter5 */
-        unsigned int prtrx24 : 1;	/* Power Reduction Transceiver */
-        unsigned int : 1;
-};
-
-#define PRR1_struct _SFR_MEM8_STRUCT(0x65, struct __reg_PRR1)
-
-#endif /* __ASSEMBLER__ */
-
-  /* PRR1 */
-
-#define PRUSART1                        0
-#define PRTIM3                          3
-#define PRTIM4                          4
-#define PRTIM5                          5
-#define PRTRX24                         6
-
 #define __AVR_HAVE_PRR1	((1<<PRUSART1)|(1<<PRTIM3)|(1<<PRTIM4)|(1<<PRTIM5)|(1<<PRTRX24))
 #define __AVR_HAVE_PRR1_PRUSART1
 #define __AVR_HAVE_PRR1_PRTIM3
Index: avr-libc/include/avr/iom64rfr2.h
===================================================================
--- avr-libc/include/avr/iom64rfr2.h	(revision 2519)
+++ avr-libc/include/avr/iom64rfr2.h	(working copy)
@@ -1,42 +1,41 @@
-/* Copyright (c) 2013 Atmel Corporation
-   All rights reserved.
+/*****************************************************************************
+ *
+ * Copyright (C) 2016 Atmel Corporation
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ ****************************************************************************/
 
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
 
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
+#ifndef _AVR_ATMEGA64RFR2_H_INCLUDED
+#define _AVR_ATMEGA64RFR2_H_INCLUDED
 
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
 
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-/* $Id$ */
-
-/* avr/iom64rfr2.h - definitions for ATmega64RFR2 */
-
-#ifndef _AVR_IOM64RFR2_H_
-#define _AVR_IOM64RFR2_H_ 1
-
-/* This file should only be included from <avr/io.h>, never directly. */
-
 #ifndef _AVR_IO_H_
 #  error "Include <avr/io.h> instead of this file."
 #endif
